## akonadi-search 25.12.1+p24.04+vstable+git20260130.0954

=== debian/changelog ===
akonadi-search (4:25.12.1+p24.04+vstable+git20260130.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:54:10 +0000

akonadi-search (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:30:30 +1000
