## akonadi-search 25.12.2+p24.04+vstable+git20260216.0314

=== debian/changelog ===
akonadi-search (4:25.12.2+p24.04+vstable+git20260216.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 03:14:07 +0000

akonadi-search (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:47:27 +0000
