=== debian/control ===
Source: akonadi-search
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cargo-1.85,
               cmake,
               corrosion,
               debhelper-compat (= 13),
               doxygen,
               kaccounts-integration-dev,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets,
               kf6-kcontacts-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-krunner-dev,
               kf6-ktextaddons-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-kmime-dev,
               libxapian-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               rustc-1.85,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
Vcs-Git: https://invent.kde.org/neon/kde/akonadi-search.git
Vcs-Browser: https://invent.kde.org/neon/kde/akonadi-search
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-akonadi-search
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5akonadisearch-data (<= 24.08.3-0zneon+24.04+noble+release+build10)
Replaces: libkf5akonadisearch-bin,
          libkf5akonadisearch-data,
          libkf5akonadisearch-plugins,
          libkf5akonadisearchcore5,
          libkf5akonadisearchdebug5,
          libkf5akonadisearchpim5,
          libkf5akonadisearchxapian5,
          libkpim5akonadisearch-bin,
          libkpim5akonadisearch-data,
          libkpim5akonadisearch-plugins,
          libkpim5akonadisearchcore5,
          libkpim5akonadisearchdebug5,
          libkpim5akonadisearchpim5,
          libkpim5akonadisearchxapian5
Description: Akonadi search library - data files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains data files.

Package: kpim6-akonadi-search-dev
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kcalendarcore-dev,
         kf6-kcontacts-dev,
         kpim6-akonadi-dev,
         kpim6-akonadi-mime-dev,
         kpim6-akonadi-search (= ${binary:Version}),
         kpim6-kmime-dev,
         qt6-base-dev,
         ${misc:Depends}
Replaces: libkf5akonadisearch-dev, libkpim5akonadisearch-dev
Description: Akonadi search library - development files
 Library used to search in the Akonadi PIM data server.
 .
 This package contains the development files.

Package: libkpim5akonadisearch-bin
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearch-data
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearch-dev
Architecture: all
Depends: kpim6-akonadi-search-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearch-plugins
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchcore5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchdebug5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchpim5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim5akonadisearchxapian5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-bin
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-data
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-dev
Architecture: all
Depends: kpim6-akonadi-search-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearch-plugins
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchcore5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchdebug5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchpim5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5akonadisearchxapian5
Architecture: all
Depends: kpim6-akonadi-search, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
