=== debian/changelog ===
akonadi-search (4:25.12.2+p24.04+vstable+git20260219.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 04:52:09 +0000
