=== agent/CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,7 @@
         set(corrosion_build_dir "build")
     else()
         string(
-            SHA1
-            cargo_path_hash
+            SHA1 cargo_path_hash
             ${CMAKE_CURRENT_SOURCE_DIR}/rs/htmlparser/Cargo.toml
         )
         string(SUBSTRING "${cargo_path_hash}" 0 5 cargo_path_hash)
@@ -54,7 +53,6 @@
         agent.cpp
         emailindexer.cpp
         contactindexer.cpp
-        akonotesindexer.cpp
         calendarindexer.cpp
         collectionindexer.cpp
         priority.cpp
@@ -66,7 +64,6 @@
         agent.h
         emailindexer.h
         contactindexer.h
-        akonotesindexer.h
         calendarindexer.h
         collectionindexer.h
         priority.h
