=== search/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_subdirectory(email)
add_subdirectory(contact)
add_subdirectory(calendar)
